- Qt 6.8
- Qt GUI
- C++ Classes
- UniformBlock
- Qt 6.8.3 Reference Documentation

# UniformBlock Struct

struct QShaderDescription::UniformBlock

Describes a uniform block. More...

This struct was introduced in Qt 6.6.

- List of all members, including inherited members

## Public Variables

int | binding
QByteArray | blockName
int | descriptorSet
QList<QShaderDescription::BlockVariable> | members
int | size
QByteArray | structName

## Related Non-Members

bool | operator==(const QShaderDescription::UniformBlock &lhs, const QShaderDescription::UniformBlock &rhs)

## Detailed Description

Note: When translating to shading languages without uniform block support (like GLSL 120 or GLSL/ES 100), uniform blocks are replaced with ordinary uniforms in a struct. The name of the struct, and so the prefix for the uniforms generated from the block members, is given by structName.

Note: This is a RHI API with limited compatibility guarantees, see QShaderDescription for details.

## Member Variable Documentation

### int UniformBlock::binding

### QByteArray UniformBlock::blockName

### int UniformBlock::descriptorSet

### QList<QShaderDescription::BlockVariable> UniformBlock::members

### int UniformBlock::size

### QByteArray UniformBlock::structName

## Related Non-Members

### `[noexcept]` bool operator==(const QShaderDescription::UniformBlock &lhs, const QShaderDescription::UniformBlock &rhs)

Returns `true` if the two UniformBlock objects lhs and rhs are equal.